Index: src/Actions/FragmentationAction/FitPotentialAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FitPotentialAction.cpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Actions/FragmentationAction/FitPotentialAction.cpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -215,5 +215,5 @@
   {
     // Afterwards we go through all of this type and gather the distance and the energy value
-    TrainingData data(model->getFragmentSpecificExtractor());
+    TrainingData data(model->getSpecificExtractor());
     data(homologies.getHomologousGraphs(graph));
 
@@ -293,5 +293,5 @@
 
       // create arguments from the fragment
-      FunctionModel::extractor_t extractor = model->getFragmentSpecificExtractor();
+      FunctionModel::extractor_t extractor = model->getSpecificExtractor();
       FunctionModel::arguments_t args = extractor(fragment, 1);
 
Index: src/FunctionApproximation/FunctionModel.hpp
===================================================================
--- src/FunctionApproximation/FunctionModel.hpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/FunctionApproximation/FunctionModel.hpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -129,5 +129,5 @@
    * \return bound function extracting distances from a fragment
    */
-  virtual extractor_t getFragmentSpecificExtractor() const=0;
+  virtual extractor_t getSpecificExtractor() const=0;
 };
 
Index: src/Potentials/CompoundPotential.cpp
===================================================================
--- src/Potentials/CompoundPotential.cpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Potentials/CompoundPotential.cpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -430,5 +430,5 @@
 }
 
-FunctionModel::extractor_t CompoundPotential::getFragmentSpecificExtractor() const
+FunctionModel::extractor_t CompoundPotential::getSpecificExtractor() const
 {
   // create initial returnfunction
Index: src/Potentials/CompoundPotential.hpp
===================================================================
--- src/Potentials/CompoundPotential.hpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Potentials/CompoundPotential.hpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -129,5 +129,5 @@
    * \return bound function extracting distances from a fragment
    */
-  FunctionModel::extractor_t getFragmentSpecificExtractor() const;
+  FunctionModel::extractor_t getSpecificExtractor() const;
 
 private:
Index: src/Potentials/Specifics/ConstantPotential.cpp
===================================================================
--- src/Potentials/Specifics/ConstantPotential.cpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Potentials/Specifics/ConstantPotential.cpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -162,5 +162,5 @@
 
 FunctionModel::extractor_t
-ConstantPotential::getFragmentSpecificExtractor() const
+ConstantPotential::getSpecificExtractor() const
 {
   Fragment::charges_t charges;
Index: src/Potentials/Specifics/ConstantPotential.hpp
===================================================================
--- src/Potentials/Specifics/ConstantPotential.hpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Potentials/Specifics/ConstantPotential.hpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -161,5 +161,5 @@
    * \return bound function extracting distances from a fragment
    */
-  FunctionModel::extractor_t getFragmentSpecificExtractor() const;
+  FunctionModel::extractor_t getSpecificExtractor() const;
 
   enum parameter_enum_t {
Index: src/Potentials/Specifics/ManyBodyPotential_Tersoff.cpp
===================================================================
--- src/Potentials/Specifics/ManyBodyPotential_Tersoff.cpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Potentials/Specifics/ManyBodyPotential_Tersoff.cpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -688,5 +688,5 @@
 
 FunctionModel::extractor_t
-ManyBodyPotential_Tersoff::getFragmentSpecificExtractor() const
+ManyBodyPotential_Tersoff::getSpecificExtractor() const
 {
   FunctionModel::extractor_t returnfunction =
Index: src/Potentials/Specifics/ManyBodyPotential_Tersoff.hpp
===================================================================
--- src/Potentials/Specifics/ManyBodyPotential_Tersoff.hpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Potentials/Specifics/ManyBodyPotential_Tersoff.hpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -186,5 +186,5 @@
    * \return bound function extracting distances from a fragment
    */
-  FunctionModel::extractor_t getFragmentSpecificExtractor() const;
+  FunctionModel::extractor_t getSpecificExtractor() const;
 
   /** Sets the magic triple function that we use for getting angle distances.
Index: src/Potentials/Specifics/PairPotential_Angle.cpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Angle.cpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Potentials/Specifics/PairPotential_Angle.cpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -206,5 +206,5 @@
 
 FunctionModel::extractor_t
-PairPotential_Angle::getFragmentSpecificExtractor() const
+PairPotential_Angle::getSpecificExtractor() const
 {
   Fragment::charges_t charges;
Index: src/Potentials/Specifics/PairPotential_Angle.hpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Angle.hpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Potentials/Specifics/PairPotential_Angle.hpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -164,5 +164,5 @@
    * \return bound function extracting distances from a fragment
    */
-  FunctionModel::extractor_t getFragmentSpecificExtractor() const;
+  FunctionModel::extractor_t getSpecificExtractor() const;
 
   enum parameter_enum_t {
Index: src/Potentials/Specifics/PairPotential_Harmonic.cpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Harmonic.cpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Potentials/Specifics/PairPotential_Harmonic.cpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -183,5 +183,5 @@
 
 FunctionModel::extractor_t
-PairPotential_Harmonic::getFragmentSpecificExtractor() const
+PairPotential_Harmonic::getSpecificExtractor() const
 {
   Fragment::charges_t charges;
Index: src/Potentials/Specifics/PairPotential_Harmonic.hpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Harmonic.hpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Potentials/Specifics/PairPotential_Harmonic.hpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -146,5 +146,5 @@
    * \return bound function extracting distances from a fragment
    */
-  FunctionModel::extractor_t getFragmentSpecificExtractor() const;
+  FunctionModel::extractor_t getSpecificExtractor() const;
 
   /** Return the token name of this specific potential.
Index: src/Potentials/Specifics/PairPotential_Morse.cpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Morse.cpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Potentials/Specifics/PairPotential_Morse.cpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -212,5 +212,5 @@
 
 FunctionModel::extractor_t
-PairPotential_Morse::getFragmentSpecificExtractor() const
+PairPotential_Morse::getSpecificExtractor() const
 {
   Fragment::charges_t charges;
Index: src/Potentials/Specifics/PairPotential_Morse.hpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Morse.hpp	(revision d449a911351285dfadb3bf83fce8de1f70c0d435)
+++ src/Potentials/Specifics/PairPotential_Morse.hpp	(revision f0025dc16b9694a6ef9ed71df894e00a0da74d0d)
@@ -163,5 +163,5 @@
    * \return bound function extracting distances from a fragment
    */
-  FunctionModel::extractor_t getFragmentSpecificExtractor() const;
+  FunctionModel::extractor_t getSpecificExtractor() const;
 
   enum parameter_enum_t {
